function GetReport()
{
	var html = "<h3>" + report.output_files + " file(s) successfully transcoded.</h3>";
	html += "<p align=\"center\">";
	if (report.skipped_files > 0) {
		html += report.error_files + " error(s) encountered";
		if (errcode) html += " (error code: " + errcode + " ). ";
	} else {
		html += "No error encountered";
	}
	if (report.skipped_files > 0) html += ", " + report.skipped_files + " file(s) skipped.";
	html += "</p>";
	html += "</h3>";
	html += "<table><tr><td width=\"150\">Time Elapsed:</td><td>" + report.encoding_time + " seconds</td></tr>";
	html += "<tr><td>Total Duration:</td><td>" + report.overall_duration + " seconds</td></tr>";
	if (report.encoding_time > 0) {
		var speed = report.overall_duration / report.encoding_time;
		var speedstr = (Math.ceil(speed * 10) / 10);
		html += "<tr><td>Overall Speed:</td><td>" +  speedstr+ "X</td></tr>";
	}
	if (report.overall_fps) {
		html += "<tr><td>Overall FPS:</td><td>" + report.overall_fps + " fps</td></tr>";
	}
	html += "<tr><td>Input Data Size:</td><td>" + report.decoded_mb + " MB</td></tr>";
	html += "<tr><td>Output Data Size:</td><td>" + report.encoded_mb + " MB</td></tr>";
	html += "<tr><td>Compression Ratio:</td><td>" + report.compression + ":1</td></tr></table>";
	return html;
}
